Package com.collibra.dgc.core.api.dto.meta.attributetype

# Class FindAttributeTypesRequest

Object
PagedRequest
FindAttributeTypesRequest

All Implemented Interfaces:
  `Serializable`

public class FindAttributeTypesRequest extends PagedRequest
The search criteria for Attribute Types.

Only parameters that are specified in this request and do not have `null` values are used for filtering. All other parameters are ignored.

The returned Attribute Types satisfy all constraints that are specified in these search criteria.

By default, a result containing at most 1000 Attribute Types is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindAttributeTypesRequest.Builder`
  `static enum`
  `FindAttributeTypesRequest.SortField`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindAttributeTypesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindAttributeTypesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Boolean`
  `getInteger()`
  Deprecated.
  This method will be removed in the future.
  `Boolean`
  `getIsInteger()`
  Whether only integer-type Attribute Types should be searched or not.
  `AttributeKind`
  `getKind()`
  The kind of the Attribute Type to search for.
  `String`
  `getLanguage()`
  Deprecated.
  This parameter will be removed from the next major release, and has no effect.
  `String`
  `getName()`
  The name of the Attribute Type to search for.
  `MatchMode`
  `getNameMatchMode()`
  The match mode used to compare `name`.
  `FindAttributeTypesRequest.SortField`
  `getSortField()`
  The field that should be used as reference for sorting.
  `SortOrder`
  `getSortOrder()`
  The order of sorting.
  `Boolean`
  `getStatisticsEnabled()`
  Whether the Attribute Types should be searched with statistics enabled or not.
  `int`
  `hashCode()`
  `void`
  `setInteger(Boolean integer)`
  Deprecated.
  This method will be removed in the future.
  `void`
  `setIsInteger(Boolean isInteger)`
  Whether only integer-type Attribute Types should be searched or not.
  `void`
  `setKind(AttributeKind kind)`
  The kind of the Attribute Type to search for.
  `void`
  `setLanguage(String language)`
  Deprecated.
  This parameter will be removed from the next major release, and has no effect.
  `void`
  `setName(String name)`
  The name of the Attribute Type to search for.
  `void`
  `setNameMatchMode(MatchMode nameMatchMode)`
  The match mode used to compare `name`.
  `void`
  `setSortField(FindAttributeTypesRequest.SortField sortField)`
  The field that should be used as reference for sorting.
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The order of sorting.
  `void`
  `setStatisticsEnabled(Boolean statisticsEnabled)`
  Whether the Attribute Types should be searched with statistics enabled or not.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindAttributeTypesRequest

    public FindAttributeTypesRequest()

- ## Method Details

  - ### getInteger

    @Deprecated public Boolean getInteger()
    Deprecated.
    This method will be removed in the future. Please use `getIsInteger()`.

  - ### setInteger

    @Deprecated public void setInteger(Boolean integer)
    Deprecated.
    This method will be removed in the future. Please use `setIsInteger(Boolean)`.
    Sets whether only integer-type Attribute Types should be searched or not.
    Parameters:
      `integer` - a boolean indicating whether only integer-type Attribute Types should be searched or not

  - ### builder

    public static FindAttributeTypesRequest.Builder builder()

  - ### getName

    public String getName()
    The name of the Attribute Type to search for.

  - ### getNameMatchMode

    public MatchMode getNameMatchMode()
    The match mode used to compare `name`. If the match mode is `EXACT` the search is case-sensitive, otherwise the search is case-insensitive.

  - ### getKind

    public AttributeKind getKind()
    The kind of the Attribute Type to search for.

  - ### getLanguage

    @Deprecated public String getLanguage()
    Deprecated.
    This parameter will be removed from the next major release, and has no effect.
    The language of the Attribute Type to search for.

  - ### getStatisticsEnabled

    public Boolean getStatisticsEnabled()
    Whether the Attribute Types should be searched with statistics enabled or not. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".

  - ### getIsInteger

    public Boolean getIsInteger()
    Whether only integer-type Attribute Types should be searched or not. This property is only applicable to Attribute Types of kind "Numeric".

  - ### getSortField

    public FindAttributeTypesRequest.SortField getSortField()
    The field that should be used as reference for sorting.

  - ### getSortOrder

    public SortOrder getSortOrder()
    The order of sorting.

  - ### setName

    public void setName(String name)
    The name of the Attribute Type to search for.

  - ### setNameMatchMode

    public void setNameMatchMode(MatchMode nameMatchMode)
    The match mode used to compare `name`. If the match mode is `EXACT` the search is case-sensitive, otherwise the search is case-insensitive.

  - ### setKind

    public void setKind(AttributeKind kind)
    The kind of the Attribute Type to search for.

  - ### setLanguage

    @Deprecated public void setLanguage(String language)
    Deprecated.
    This parameter will be removed from the next major release, and has no effect.
    The language of the Attribute Type to search for.

  - ### setStatisticsEnabled

    public void setStatisticsEnabled(Boolean statisticsEnabled)
    Whether the Attribute Types should be searched with statistics enabled or not. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".

  - ### setIsInteger

    public void setIsInteger(Boolean isInteger)
    Whether only integer-type Attribute Types should be searched or not. This property is only applicable to Attribute Types of kind "Numeric".

  - ### setSortField

    public void setSortField(FindAttributeTypesRequest.SortField sortField)
    The field that should be used as reference for sorting.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The order of sorting.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`